var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Alignment } from "./Type";
var SideButtons = function (_a) {
    var onIncreaseHandler = _a.onIncreaseHandler, onDecreaseHandler = _a.onDecreaseHandler, onStopCounter = _a.onStopCounter, onWheel = _a.onWheel, signAlignment = _a.signAlignment, sign = _a.sign, counter = _a.counter, decimals = _a.decimals, parentStyle = _a.parentStyle, inputStyle = _a.inputStyle;
    var increaseHandler = function () {
        onIncreaseHandler();
    };
    var decreaseHandler = function () {
        onDecreaseHandler();
    };
    var stopCounter = function () {
        onStopCounter();
    };
    var wheelHandler = function (e) {
        onWheel(e);
    };
    return (_jsxs("div", __assign({ className: "input-group", style: parentStyle }, { children: [_jsxs("div", __assign({ className: "input-group-prepend" }, { children: [_jsx("input", { type: "button", onMouseDown: decreaseHandler, onMouseUp: stopCounter, className: "btn-right", value: "-" }, void 0), sign && signAlignment === Alignment.Left && (_jsx("span", __assign({ className: "input-group-text" }, { children: sign }), void 0))] }), void 0), _jsx("input", { type: "text", className: "form-control ", value: counter.toFixed(decimals), readOnly: true, style: inputStyle, onWheel: function (e) {
                    wheelHandler(e);
                } }, void 0), _jsxs("div", __assign({ className: "input-group-append" }, { children: [sign && signAlignment === Alignment.Right && (_jsx("span", __assign({ className: "input-group-text" }, { children: sign }), void 0)), _jsx("input", { type: "button", onMouseDown: increaseHandler, onMouseUp: stopCounter, className: "btn-right", value: "+" }, void 0)] }), void 0)] }), void 0));
};
export default SideButtons;
